org.apache.jmeter.config

## Class Argument

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.config.Argument

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Searchable, TestElement
  Direct Known Subclasses:
    HTTPArgument

      public class Argument
      extends AbstractTestElement
      implements java.io.Serializable

  Class representing an argument. Each argument consists of a name/value pair, as well as (optional) metadata.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARG_NAME` Name used to store the argument's name.
    `static java.lang.String` | `DESCRIPTION` Name used to store the argument's description.
    `static java.lang.String` | `METADATA` Name used to store the argument's metadata.
    `static java.lang.String` | `VALUE` Name used to store the argument's value.

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Argument()` Create a new Argument without a name, value, or metadata.
    `Argument(java.lang.String name, java.lang.String value)` Create a new Argument with the specified name and value, and no metadata.
    `Argument(java.lang.String name, java.lang.String value, java.lang.String metadata)` Create a new Argument with the specified name, value, and metadata.
    `Argument(java.lang.String name, java.lang.String value, java.lang.String metadata, java.lang.String description)` Create a new Argument with the specified name, value, and metadata.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Gets the Meta Data attribute of the Argument.
    `java.lang.String` | `getMetaData()` Gets the Meta Data attribute of the Argument.
    `java.lang.String` | `getName()` Get the name of the Argument.
    `java.lang.String` | `getValue()` Gets the value of the Argument object.
    `boolean` | `isSkippable(java.lang.String parameterName)` Is this parameter skippable, i.e. empty/blank string or it looks like an unrecognised variable.
    `void` | `setDescription(java.lang.String description)` Sets the Description attribute of the Argument.
    `void` | `setMetaData(java.lang.String newMetaData)` Sets the Meta Data attribute of the Argument.
    `void` | `setName(java.lang.String newName)` Set the name of the Argument.
    `void` | `setValue(java.lang.String newValue)` Sets the value of the Argument.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### ARG_NAME

          public static final java.lang.String ARG_NAME

      Name used to store the argument's name.
      See Also:
        Constant Field Values

    - #### VALUE

          public static final java.lang.String VALUE

      Name used to store the argument's value.
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final java.lang.String DESCRIPTION

      Name used to store the argument's description.
      See Also:
        Constant Field Values

    - #### METADATA

          public static final java.lang.String METADATA

      Name used to store the argument's metadata.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Argument

          public Argument()

      Create a new Argument without a name, value, or metadata.

    - #### Argument

          public Argument(java.lang.String name,
                          java.lang.String value)

      Create a new Argument with the specified name and value, and no metadata.
      Parameters:
        `name` - the argument name
        `value` - the argument value

    - #### Argument

          public Argument(java.lang.String name,
                          java.lang.String value,
                          java.lang.String metadata)

      Create a new Argument with the specified name, value, and metadata.
      Parameters:
        `name` - the argument name
        `value` - the argument value
        `metadata` - the argument metadata

    - #### Argument

          public Argument(java.lang.String name,
                          java.lang.String value,
                          java.lang.String metadata,
                          java.lang.String description)

      Create a new Argument with the specified name, value, and metadata.
      Parameters:
        `name` - the argument name
        `value` - the argument value
        `metadata` - the argument metadata
        `description` - the argument description

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String newName)

      Set the name of the Argument.
      Specified by:
        `setName` in interface `TestElement`
      Overrides:
        `setName` in class `AbstractTestElement`
      Parameters:
        `newName` - the new name

    - #### getName

          public java.lang.String getName()

      Get the name of the Argument.
      Specified by:
        `getName` in interface `TestElement`
      Overrides:
        `getName` in class `AbstractTestElement`
      Returns:
        the attribute's name

    - #### setValue

          public void setValue(java.lang.String newValue)

      Sets the value of the Argument.
      Parameters:
        `newValue` - the new value

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the Argument object.
      Returns:
        the attribute's value

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the Description attribute of the Argument.
      Parameters:
        `description` - the new description

    - #### getDescription

          public java.lang.String getDescription()

      Gets the Meta Data attribute of the Argument.
      Returns:
        the MetaData value

    - #### setMetaData

          public void setMetaData(java.lang.String newMetaData)

      Sets the Meta Data attribute of the Argument.
      Parameters:
        `newMetaData` - the new metadata

    - #### getMetaData

          public java.lang.String getMetaData()

      Gets the Meta Data attribute of the Argument.
      Returns:
        the MetaData value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isSkippable

          public boolean isSkippable(java.lang.String parameterName)

      Is this parameter skippable, i.e. empty/blank string or it looks like an unrecognised variable.
      Parameters:
        `parameterName` - - parameter name
      Returns:
        true if parameter should be skipped

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.